<template>
  <div>
    <button type="button" v-on:click="deleteGreeting(greeting)">
      Delete Greeting
    </button>
  </div>
</template>

<script>
import { mapActions } from "vuex";

// @vuese
// This component deletes a greeting
export default {
  name: "greeting-delete",
  props: {
    // The greeting to be deleted
    greeting: Object,
  },
  methods: {
    ...mapActions("greetings", ["deleteGreeting"]),
  },
};
</script>
